Loading...
Searching...
No Matches
BALL::INIFile::IteratorTraits_ Class Reference

Interface for the LineIterator. More...

`#include <BALL/FORMAT/INIFile.h>`

## Public Member Functions

| IteratorTraits_ ()
| IteratorTraits_ (const IteratorTraits_ &traits)
virtual | ~IteratorTraits_ ()
const IteratorTraits_ & | operator= (const IteratorTraits_ &traits)
std::list< String >::iterator | getPosition ()
SectionIterator | getSection ()
const String & | operator* () const
IteratorTraits_ & | operator++ ()
IteratorTraits_ & | operator-- ()
IteratorTraits_ & | getSectionNextLine ()
bool | operator== (const IteratorTraits_ &traits) const
bool | operator!= (const IteratorTraits_ &traits) const
bool | operator+ () const
bool | isValid () const
void | toSectionFirstLine ()
void | toSectionLastLine ()
void | toSectionEnd ()
bool | isSectionFirstLine () const
bool | isSectionLastLine () const
bool | isSectionEnd () const
void | toFirstLine ()
void | toLastLine ()
void | toEnd ()

## Protected Member Functions

| IteratorTraits_ (std::list< Section > &list, SectionIterator section, std::list< String >::iterator line)
const std::list< Section > * | getBound_ () const
void | setLine_ (const String &line)

## Friends

class | INIFile

## Detailed Description

Interface for the LineIterator.

Definition at line 439 of file INIFile.h.

## Constructor & Destructor Documentation

## IteratorTraits_() [1/3]

BALL::INIFile::IteratorTraits_::IteratorTraits_ | ( |  | ) |

## IteratorTraits_() [2/3]

BALL::INIFile::IteratorTraits_::IteratorTraits_ | ( | const IteratorTraits_ & | traits | ) |

## ~IteratorTraits_()

virtual BALL::INIFile::IteratorTraits_::~IteratorTraits_ | ( |  | ) |

virtual

## IteratorTraits_() [3/3]

BALL::INIFile::IteratorTraits_::IteratorTraits_ | ( | std::list< Section > & | list,
|  | SectionIterator | section,
|  | std::list< String >::iterator | line )

protected

## Member Function Documentation

## getBound_()

const std::list< Section > * BALL::INIFile::IteratorTraits_::getBound_ | ( |  | ) | const

protected

## getPosition()

std::list< String >::iterator BALL::INIFile::IteratorTraits_::getPosition | ( |  | ) |

## getSection()

SectionIterator BALL::INIFile::IteratorTraits_::getSection | ( |  | ) |

## getSectionNextLine()

IteratorTraits_ & BALL::INIFile::IteratorTraits_::getSectionNextLine | ( |  | ) |

## isSectionEnd()

bool BALL::INIFile::IteratorTraits_::isSectionEnd | ( |  | ) | const

## isSectionFirstLine()

bool BALL::INIFile::IteratorTraits_::isSectionFirstLine | ( |  | ) | const

## isSectionLastLine()

bool BALL::INIFile::IteratorTraits_::isSectionLastLine | ( |  | ) | const

## isValid()

bool BALL::INIFile::IteratorTraits_::isValid | ( |  | ) | const

## operator!=()

bool BALL::INIFile::IteratorTraits_::operator!= | ( | const IteratorTraits_ & | traits | ) | const

## operator*()

const String & BALL::INIFile::IteratorTraits_::operator* | ( |  | ) | const

## operator+()

bool BALL::INIFile::IteratorTraits_::operator+ | ( |  | ) | const

## operator++()

IteratorTraits_ & BALL::INIFile::IteratorTraits_::operator++ | ( |  | ) |

## operator--()

IteratorTraits_ & BALL::INIFile::IteratorTraits_::operator-- | ( |  | ) |

## operator=()

const IteratorTraits_ & BALL::INIFile::IteratorTraits_::operator= | ( | const IteratorTraits_ & | traits | ) |

## operator==()

bool BALL::INIFile::IteratorTraits_::operator== | ( | const IteratorTraits_ & | traits | ) | const

## setLine_()

void BALL::INIFile::IteratorTraits_::setLine_ | ( | const String & | line | ) |

protected

## toEnd()

void BALL::INIFile::IteratorTraits_::toEnd | ( |  | ) |

## toFirstLine()

void BALL::INIFile::IteratorTraits_::toFirstLine | ( |  | ) |

## toLastLine()

void BALL::INIFile::IteratorTraits_::toLastLine | ( |  | ) |

## toSectionEnd()

void BALL::INIFile::IteratorTraits_::toSectionEnd | ( |  | ) |

## toSectionFirstLine()

void BALL::INIFile::IteratorTraits_::toSectionFirstLine | ( |  | ) |

## toSectionLastLine()

void BALL::INIFile::IteratorTraits_::toSectionLastLine | ( |  | ) |

## Friends And Related Symbol Documentation

## INIFile

friend class INIFile

friend

Definition at line 441 of file INIFile.h.